<?php
/*
 * This file is part of INQMAN
 *
 * Copyright(c) 2008 BULLHEAD,INC. ALL RIGHTS RESERVED.
 *
 * http://www.bullhead.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation;
 * either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 */

class Inqman_Validate_EmailAddress extends Zend_Validate_EmailAddress  
{
    /**
     * @see Zend_Validate_EmailAddress::isValid()
     *
     * @param string $value
     * @return boolean
     */
    public function isValid($value)
    {
        if(!parent::isValid($value)) {
            $this->_messages = array();
            $this->_error(self::INVALID);
            return false;
        }
        return true;
    }
}
